' BUGSHAKE.BAS
' This program contains a logic error.  Can you find it?

CONST BIGSHAKE% = 174  ' constant equaling gallons in largest shake

CLS

PRINT "How many gallons were in the largest milkshake ever made?"
PRINT

DO WHILE (guess% <> BIGSHAKE%)        ' compare guess to largest shake
    INPUT ; "Guess:  ", guess         ' get guess from user
  
    COLOR 2                           ' set color to green for clue
    IF (guess% < BIGSHAKE%) THEN      ' determine if guess is high or low
        PRINT , "too low"             '   and print appropriate clue
    ELSEIF (guess% > BIGSHAKE%) THEN
        PRINT , "too high"
    ELSE
        PRINT
    END IF
    COLOR 7                           ' set color back to default white
LOOP

PRINT
PRINT "Correct!  A"; BIGSHAKE%; "gallon strawberry shake was mixed";
PRINT " in Ohio in 1988."

